package com.m2pool.chat.controller;

import com.m2pool.chat.service.ChatRoomService;
import com.m2pool.chat.vo.CharRoomVo;
import com.m2pool.chat.vo.MessagePageVo;
import com.m2pool.common.core.web.Result.AjaxResult;
import com.m2pool.common.core.web.page.TableDataInfo;
import com.m2pool.common.security.annotation.RequiresLogin;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "聊天室相关接口")
@RestController
@RequestMapping("/rooms")
public class ChatRoomController {

    @Autowired
    private ChatRoomService chatRoomService;


    @PostMapping("/find/room/list")
    @ApiOperation(value = "查询客服人员的聊天室列表")
    @RequiresLogin
    public TableDataInfo findRoomList(@RequestBody MessagePageVo messagePageVo) {
        return chatRoomService.findRoomList(messagePageVo.getSendDateTime());
    }

    @GetMapping("/find/room/by/userid")
    @ApiOperation(value = "根据当前用户邮箱查询聊天室")
    @RequiresLogin
    public AjaxResult findRoomByUserid() {
        return chatRoomService.findRoomByUserid();
    }


    @PostMapping("/update/room")
    @ApiOperation(value = "修改room相关信息")
    @RequiresLogin
    public AjaxResult updateRoom(@RequestBody CharRoomVo charRoomVo) {
        return chatRoomService.updateRoom(charRoomVo);
    }
}