package com.m2pool.chat.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.m2pool.chat.entity.ChatRoom;
import com.m2pool.chat.vo.CharRoomVo;
import com.m2pool.common.core.web.Result.AjaxResult;
import com.m2pool.common.core.web.page.TableDataInfo;

import java.time.LocalDateTime;

public interface ChatRoomService extends IService<ChatRoom> {

    /**
     * 查询客服的聊天室列表
     * @param sendDateTime 最后一个发送者发送时间
     * @return
     */
    TableDataInfo findRoomList(LocalDateTime sendDateTime);

    /**
     * 根据当前用户邮箱查询聊天室
     * @return
     */
    AjaxResult findRoomByUserid();

    /**
     * 修改聊天室信息
     * @param charRoomVo
     * @return
     */
    AjaxResult updateRoom( CharRoomVo charRoomVo);

}